%define _enable_debug_packages %{nil}
%define debug_package          %{nil}


%define firefox_package mozilla-firefox

%define name    mozilla-firefox-l10n
%define oname   mozilla-firefox
%define version 2.0.0.13
%define release %mkrel 1
%define firefox_epoch 0
%define firefox_version %{version}

%if %mdkversion <= 200700
%define up_ca_name      mozilla-firefox
%else
%define up_ca_name      firefox
%endif
%define lib_name        %{up_ca_name}-%{version}
%define mozillalibdir   %{_libdir}/%{lib_name}

%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

# Supported l10n language lists
%define langlist	ar af be bg br_FR ca cs da de el en_GB es_ES es_AR et_EE eu fi fr fy ga gu_IN he hu it ja ka ko ku lt mn mk nb_NO nn_NO nl pa_IN pl pt_PT pt_BR ro ru sk sl sv_SE tr uk zh_CN zh_TW

# Disabled l10n languages, for any reason
%define disabled_langlist	uu

# Disabled myspell dicts, for any reason
%define disabled_dict_langlist	ar be br_FR es_AR eu fi fy gu_IN he ja ka ko ku mk mn pa_IN tr zh_CN zh_TW

%define use_dict 1
%if %mdkversion == 200600
# CS4 doesn't have myspell, but has firefox.
%define use_dict 0
%endif
%if %mdkversion >= 200810
# We moved to pointing mozilladir/dictionaries -> /usr/share/dict/mozilla
%define use_dict 0
%endif

# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define language_af af
%define langname_af Afrikaans
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_br_FR br-FR
%define langname_br_FR Breton
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_et_EE et-EE
%define langname_et_EE Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy fy-NL
%define langname_fy Frisian
%define language_ga ga-IE
%define langname_ga Irish
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hu hu
%define langname_hu Hungarian
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ka ka
%define langname_ka Georgian
%define language_ko ko
%define langname_ko Korean
%define language_ku ku
%define langname_ku Kurdish
%define language_lt lt
%define langname_lt Lithuanian
%define language_mk mk
%define langname_mk Macedonian
%define language_mn mn
%define langname_mn Mongolian
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_nl nl
%define langname_nl Dutch
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_uk_UA uk-UA
%define langname_uk_UA Ukrainian
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %langlist; do echo "%%define with_$lang 1"; done)}
%{expand:%(for lang in %disabled_langlist; do echo "%%define with_$lang 0"; done)}
# dicts
%if %use_dict
%{expand:%(for lang in %langlist; do echo "%%define with_dict_$lang 1"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%define with_dict_$lang 0"; done)}
%else
%{expand:%(for lang in %langlist; do echo "%%define with_dict_$lang 0"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%define with_dict_$lang 0"; done)}
%endif

# Locales
%{expand:%(for lang in %langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

%if %use_dict
# myspell dicts, allows setting preferences between several providers.
%{expand:%(for lang in %langlist; do echo "%%define myspell_$lang myspell-$lang"; done)}
%define myspell_de myspell-de_DE
%define myspell_fr myspell-fr_FR
%endif

# Macro for easy adding i18n sources
# auto-increment as called.
%define src 1

%define l10nsrc() Source%src: %{xpidir}/%{1}.xpi\
%define src2 %(echo $((%src+1)))\
%define src %{src2}

Summary: Localizations for Firefox (virtual package)
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/
# Language package template
Source0: %{name}-template.spec
# l10n sources
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%l10nsrc %%{language_$lang}}";\
	done\
	)
}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-utils
%if %use_dict
%{expand:%(\
	disabled="%{disabled_dict_langlist}";\
	for lang in %langlist; do\
		echo "$disabled" | grep -q "\<$lang\>" || \
			echo "BuildRequires: %%{myspell_$lang}";\
	done\
	)
}
%endif

%description
Localizations for Firefox

# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.spec 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "locale_$lang=%%{locale_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Unpack all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	locale="locale_$lang"
	locale=${!locale}

	# l10n
	mkdir ${language}
	cd ${language}
	unzip %{_sourcedir}/${language}.xpi
	cd ..

	# dict
	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

	mkdir -p ${language}-dict/dictionaries
	cd ${language}-dict
	if [ -e %{_datadir}/dict/ooo/$lang.aff ]; then
		ln -s %{_datadir}/dict/ooo/$lang.aff ./dictionaries/$language.aff
		ln -s %{_datadir}/dict/ooo/$lang.dic ./dictionaries/$language.dic
	elif [ -e %{_datadir}/dict/ooo/$locale.aff ]; then
		ln -s %{_datadir}/dict/ooo/$locale.aff ./dictionaries/$language.aff
		ln -s %{_datadir}/dict/ooo/$locale.dic ./dictionaries/$language.dic
	else
		ln -s %{_datadir}/dict/ooo/${locale}_*.aff ./dictionaries/$language.aff
		ln -s %{_datadir}/dict/ooo/${locale}_*.dic ./dictionaries/$language.dic
	fi
	cd ..
done

# Patches
cd ${language_fy}
sed -i 's/\x0D//g;/^$/d' install.rdf
cd ..

%build
# All install.rdf files must validate
xmllint --noout */install.rdf

%install
rm -rf %buildroot

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "dict_$lang=%%{with_dict_$lang}"; done)}

# Create dicts dir
%if %use_dict
mkdir -p %buildroot%{mozillalibdir}/dictionaries
%endif

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	language="language_$lang"
	language=${!language}

	# l10n
	cd $language
	mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-${language}@firefox.mozilla.org/
	cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-${language}@firefox.mozilla.org/
	cd ..

	# Dicts
	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

	cp -af $language-dict/dictionaries/*.{aff,dic} \
		%buildroot%{mozillalibdir}/dictionaries/
done

%clean
rm -rf %buildroot


%changelog
* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0.13-1mdv2008.1
+ Revision: 190290
- disable useless debug package
- 2.0.0.13

* Wed Feb 20 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.12-2mdv2008.1
+ Revision: 173202
- Disable dict links for mdkversion >= 200810. We are going to symlink entire
  mozilladir/dictionaries instead. Closes: #21370

* Fri Feb 08 2008 Funda Wang <fundawang@mandriva.org> 2.0.0.12-1mdv2008.1
+ Revision: 163850
- New version 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.11-1mdv2008.1
+ Revision: 114222
- New version 2.0.0.11
- drop pt patch
- uk obsoletes uk_UA
- New version 2.0.0.10

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.9-1mdv2008.1
+ Revision: 105638
- add be, af, en-GB, mn ku
- add back br-FR, et-EE, uk-UA from history
- disable those languages do not keep up to date
- update to new version 2.0.0.9

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Applied Vincent patch to be able to build on CS4.

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.8-2mdv2008.1
+ Revision: 100447
- add ka
- re-enable ro and pa_IN

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.8-1mdv2008.1
+ Revision: 100407
- Switched patch fy-NL by a sed call.
- New upstream: 2.0.0.8

* Thu Oct 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.0.7-1mdv2008.1
+ Revision: 99825
- rediff patch 5
- update lang files to 2.0.0.7 version

* Wed Oct 03 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.6-6mdv2008.0
+ Revision: 95095
- Updated et-EE package: fixes id tag and be compatible with FF.

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0.6-5mdv2008.0
+ Revision: 89949
- rebuild

* Tue Aug 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.6-4mdv2008.0
+ Revision: 68412
- Allows setting preferences between several providers. Closes: #29733
- Added a switch to disable dictionaries on 200600 builds (cs4), as requested by Vincent Danen.

* Tue Aug 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.6-3mdv2008.0
+ Revision: 63172
- Re-enabled and updated Estonian l10n. Thanks to Sander Lepik for the l10n.

* Tue Aug 14 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.6-2mdv2008.0
+ Revision: 63136
- Be backportable to 2007.0: uses /usr/lib/mozilla-firefox-<ver>. Closes: #31780
- Enhanced support for dictionaries.
- Re-enabled he language. Closes: #32149

* Tue Jul 31 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.6-1mdv2008.0
+ Revision: 57039
- Rediffed fy-NL-xml-validation patch.
- Updated to 2.0.0.6

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 2.0.0.5-1mdv2008.0
+ Revision: 53419
- More obsoletes for old package name
- Rediff patch5
- New version

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Correctly obsolete mozilla-firefox-br by mozilla-firefox-br_FR.

* Fri Jun 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.4-1mdv2008.0
+ Revision: 39820
- Updated fy-NL xml validation patch.
- Updated all langpacks, except for br-FR, et-EE and uk-UA which weren't available.
- Sync with mozilla-firefox version.

* Thu May 10 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.3-3mdv2008.0
+ Revision: 25828
- Simplified package structure and better dictionaries support via myspell.
- Integrate with myspell dicts. Closes: #29733
- Added Estonian l10n (et-EE).
- Updated nl_NL dict.
- Updated l10n: ga-IE, da, fy-NL, bg, de, ja, he, sv-SE, fi, pa-IN, fr, es-AR,
  nl, nb-NO, pl, hu, es-ES, lt, gu-IN, ca, pt-BR, nn-NO, tr, ru, el, ar, pt-PT,
  cs, mk, ko, eu, zh-TW, it, sk, sl and zh-CN.


* Thu Mar 22 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.3-1mdv2007.1
+ Revision: 147906
- Synced with firefox version. 2.0.0.3

* Tue Mar 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.2-3mdv2007.1
+ Revision: 146985
- Added Dutch spell check dictionary based on Reinout van Schouwen changes. Closes: #29651

* Wed Feb 28 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.2-2mdv2007.1
+ Revision: 127264
- Do not require libmozilla-firefox, but mozilla-firefox instead.
  Closes: #28967

* Wed Feb 28 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0.2-1mdv2007.1
+ Revision: 127082
- New version: 2.0.0.2
  Synced with FF version.

* Wed Jan 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.0.1-2mdv2007.1
+ Revision: 106953
- Fix translations on mdv <= 2007.0

* Fri Dec 29 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0-5mdv2007.1
+ Revision: 102552
- Sync with FF version. (2.0.0.1)
- Improve dict handling so we keep tracking their sources/versions.
- Added fr de and cs dictionaries
- Do not force pkg langname with dictionaries filenames.
- Added support for dictionaries.
- Make use of bcond_without macro instead hacking ourselves.

* Sat Dec 09 2006 Eskild Hustvedt <eskild@mandriva.org> 2.0-4mdv2007.1
+ Revision: 94359
- Added Norwegian Nynorsk translation

* Fri Dec 08 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0-3mdv2007.1
+ Revision: 93622
- Fix bg_BG and eu_ES langpack filenames according to their .xpi contents.
- Make locales list dynamic.

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add missing locale requires

* Fri Dec 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-2mdv2007.1
+ Revision: 92160
- Fix missing locale macro (ticket #27535)

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdv2007.1
+ Revision: 91264
- Fix incorrect description for zh-TW (Mdv bug #27464)

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Sorted things out.
    - All languages should follow the same struct. So, treat them
      all as just 'one more language' to the system.
    - Better use of %%prep, %%build and %%install sections.
    - Unpack and install all languages at once.
    - Added back supported languages but yet disabled.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add new xpi files
    - New version 2.0

* Wed Nov 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.8-1mdv2007.0
+ Revision: 78311
-Sync before commit to svn
- Update langpack to version 1.5.0.8
- new langpack for Gujarati
- Remove patch1 (no longer needed)

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.7-1mdv2007.0
+ Revision: 61619
- Add more languages
- Release 1.5.0.7
- Fix dependencies

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.6-2mdv2007.0
+ Revision: 60321
- subrel is only for 2006

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.6-2mdv2007.0.2
+ Revision: 60294
- Fix korean install.rdf to validate
- redo breton zip file
- fix various translations pack
- clean specfile
- remove version check in each install.rdf file
- validate install.rdf files at compile time

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - add macros for corpo3
    - Use old name for packages (avoid provides/obsoletes) thanks fcrozat
    - Another bunch of fixes
    - Fix some languages ( es, pt-BR, ga, nb) thanks chty (QA)
    - mozilla-firefox-l10n-1.5.0.6-2mdv2007.0
    - Add Provides/Obsoletes
    - Fix Sources
    - import mozilla-firefox-l10n-1.5.0.6-1mdv2007.0

